%define upstream_name    Image-Base-SVG
%define upstream_version 4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Image::Base)
BuildRequires: perl(SVG) >= 2.380.0
BuildRequires: perl(SVG::Parser)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Image::Base::SVG' extends 'Image::Base' to create or update SVG format
image files using the 'SVG.pm' module (see the SVG::Manual manpage).

'Image::Base' is pixel oriented so isn't really the sort of thing SVG is
meant for, but this module can direct some 'Image::Base' style code at an
'SVG' object. Of course the 'SVG' module has many more features if used
natively.

It's often fairly easy to spit out SVG directly too, and for instance the
'Image::Base::SVGout' module can do that. The advantage of the 'SVG'
document object model comes when combining images or fragments, or going
through elements for post-facto mangling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc COPYING Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jul 25 2011 jquelin <jquelin> 4.0.0-1.mga2
+ Revision: 128765
- update to 4

* Thu Jun 30 2011 jquelin <jquelin> 2.0.0-1.mga2
+ Revision: 116587
- imported package perl-Image-Base-SVG


* Thu Jun 30 2011 cpan2dist 2-1mga
- initial mageia release, generated with cpan2dist
